package com.bonus.canteen.core.common.config.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;

import java.util.ArrayList;
import java.util.List;

public class ExcelListener extends AnalysisEventListener {
   private List<Object> datas = new ArrayList();

   @Override
   public void invoke(Object object, AnalysisContext context) {
      this.datas.add(object);
      this.doSomething();
   }

   private void doSomething() {
   }

   @Override
   public void doAfterAllAnalysed(AnalysisContext context) {
   }

   public List<Object> getDatas() {
      return this.datas;
   }

   public void setDatas(List<Object> datas) {
      this.datas = datas;
   }
}
